Subject: Re: bug#63967: 28.2; switch-to-buffer in normal window fails if minibuffer window is active

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Jun 2023 16:08:38 +0300

> Date: Sat, 17 Jun 2023 11:31:54 +0000
> Cc: [email-masked], [email-masked], [email-masked],
>   [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > So I hope you will present a suggested patch soon, and that it will be
> > simple and safe enough to install on the release branch.  TIA.
> 
> After spending quite some time looking at why that call to
> Fset_frame_selected_window went in in the first place, and checking
> quite a few of the bug scenarios from 2021, I'm now convinced that the
> sole fix we need is to remove that call from minibuffer_unwind.
> 
> It's certainly a simple patch, and I think it's safe enough for Emacs
> 29.  Maybe other people (e.g. Martin) would be good enough to give it a
> quick going over before we commit it.

Thanks.

Martin, please comment.  Your own proposal was similar, so I hope you
will agree to this.